title: User
tabs:
  main:
    display: Principal
    sections:
      -
        fields:
          -
            handle: rut
            field:
              type: text
              display: RUT
              validate:
                - required
                -
                  regex: '/^\d{1,2}(\.\d{3}){2}-[\dkK]{1}$/'
                - 'new App\Rules\RUTValidation'
              width: 33
          -
            handle: name
            field:
              type: text
              display: 'Nombre completo'
              width: 66
          -
            handle: email
            field:
              type: text
              input_type: email
              display: 'Correo Electronico'
              listable: true
              input: email
          -
            handle: roles
            field:
              type: user_roles
              mode: select
              width: 50
              listable: true
              filterable: false
          -
            handle: groups
            field:
              type: user_groups
              mode: select
              width: 50
              listable: true
              filterable: false
          -
            handle: avatar
            field:
              type: assets
              max_files: 1
              container: subidos
          -
            handle: comuna_id
            field:
              dictionary: comunas
              type: dictionary
              display: 'Comuna Principal'
              max_items: 1
              validate:
                - required
          -
            handle: modulos
            field:
              type: dictionary
              dictionary: modulos
              display: Módulos
              instructions: 'Selecciona los módulos asociados al usuario'
              max_items: 0
              always_save: true
              listable: true
          -
            handle: is_active
            field:
              type: toggle
              display: Activo
              instructions: 'Activa al usuario para enviar una notificación al correo para establecer su contraseña, desactivalo para restringir el acceso al sitio.'
              instructions_position: below
